<?php
require 'conexao.php';

// Função para gerar a wallet com 50 caracteres contendo números, letras maiúsculas e minúsculas
function generateWallet() {
    $length = 50;
    $characters = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
    $wallet = '';
    $maxIndex = strlen($characters) - 1;

    for ($i = 0; $i < $length; $i++) {
        $randomIndex = random_int(0, $maxIndex);
        $wallet .= $characters[$randomIndex];
    }

    return $wallet;
}

// Recebe os dados do formulário
$user = $_POST['user'];
$email = $_POST['email'];
$senha = $_POST['senha'];
$confirmarSenha = $_POST['confirmar_senha'];
$pin = $_POST['pin'];
$confirmarPin = $_POST['confirmar_pin'];

// Verifica se o usuário ou email já estão cadastrados
$stmt = $pdo->prepare("SELECT * FROM usersblock WHERE user = ? OR email = ?");
$stmt->execute([$user, $email]);
if ($stmt->rowCount() > 0) {
    // O usuário ou email já está cadastrado
    header('Location: cadastro.php?erro=usuario_email_cadastrado');
    exit;
}

// Verifica se os pins coincidem
if ($pin !== $confirmarPin) {
    // Os pins não correspondem
    header('Location: cadastro.php?erro=pins_diferentes');
    exit;
}

// Verifica se as senhas coincidem
if ($senha !== $confirmarSenha) {
    // As senhas não correspondem
    header('Location: cadastro.php?erro=senhas_diferentes');
    exit;
}


// Criptografa pin
$pinCriptografado = password_hash($pin, PASSWORD_DEFAULT);

// Criptografa a senha
$senhaCriptografada = password_hash($senha, PASSWORD_DEFAULT);

// Gerar a carteira (wallet) única para o usuário
$wallet = generateWallet();





        $altemail = n;
  





// Em vez de criptografar, você pode simplesmente imprimir a sequência para visualizá-la


// Insere os dados na tabela "usersblock" usando Prepared Statements
//altemail é altenticar email.

$stmt = $pdo->prepare("INSERT INTO usersblock (user, email, wallet, pin, password, words, altemail) VALUES (?, ?, ?, ?, ?, ?, ?)");
$stmt->execute([$user, $email, $wallet, $pinCriptografado, $senhaCriptografada, $fraseCriptografada, $altemail]);


header('Location: cadastro.php?cadastrado=true');
exit;
?>
